These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

EVE Launcher for Linux

First post First post
Author
Tasia Kilbourne
DeFianT Logistics
Sugar.
#421 - 2016-11-21 23:55:12 UTC
It looks like the latest build has a new LDAP dependency.
Ubuntu fixed with this command:
sudo apt-get install libldap-2.4-2:i386

Calyss Ellecon
Zakuria
#422 - 2016-11-22 17:59:40 UTC
I've already installed both, the lib32-... and libldap.
With todays update I still got the "error - see logs" message, after the update it changed from --> triangle - square - triangle to triangle - square
Still the game is not starting.
I tried both, custom wine version and dev wine version, the game won't start.
Launcher logs:

kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by kde-open5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5KIOWidgets.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5KIOCore.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5Service.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5I18n.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5CoreAddons.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5JobWidgets.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5Completion.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5IconThemes.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5WindowSystem.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5ConfigWidgets.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5WidgetsAddons.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5ConfigGui.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5ConfigCore.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libQt5Xml.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5DBusAddons.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5Archive.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5ItemViews.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5Codecs.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5Auth.so.5)
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5GuiAddons.so.5)


Intoagun Deshana
Data Rogue Sentinel Tribe
#423 - 2016-11-22 20:08:14 UTC
I am going to say I love the linux launcher.I have yet to have a problem with it since finding it. Wish I found it when you started working on it Snorlax. P
Seriah Kernelkill
State War Academy
Caldari State
#424 - 2016-11-24 01:35:14 UTC  |  Edited by: Seriah Kernelkill
-Solved

Still, horrid performance but what can you ask for.. *shrug*
Alajeira Ambramotte
Center for Advanced Studies
Gallente Federation
#425 - 2016-11-24 02:47:24 UTC
First of all I would like to thank both the Dev for this, as well as the community, the
sudo apt-get install libldap-2.4-2:i386
command as well as the
WINEPREFIX=~/.eve/wineenv ~/.eve/wine/bin/wine ~/.eve/wineenv/drive_c/tq/bin/exefile.exe
command that can show any errors they were both very useful both of the times I had to reinstall the game (I had a fresh install on my system over a month ago).

It solves this error:
err:module:load_builtin_dll failed to load .so lib for builtin L"WLDAP32.dll": libldap_r-2.4.so.2: cannot open shared object file: No such file or directory
err:module:import_dll Loading library WLDAP32.dll (which is needed by L"C:\\tq\\bin\\blue.dll") failed (error c000007a).
err:module:import_dll Library blue.dll (which is needed by L"C:\\tq\\bin\\exefile.exe") not found
err:module:LdrInitializeThunk Main exe initialization for L"C:\\tq\\bin\\exefile.exe" failed, status c0000135

and then the game runs as a sweet.

I am using this on a distro based on Debian Jessie (called SolydXK).

I mostly wanted to post this here as a reference to anyone else that might encounter similar issues (but as I see, since the time I first thought of that, more comments have been posted issuing this already, still, nevertheless I don't think it is doing any harm ;-) )

Another thing I wanted to ask is if there is a way to install/run the game from a different location than the default, I tried the setting I found when I ran it from windows, but it seems that it is different in this one.
I would like to have a shared installation for both my systems (since they both use the win version of the game) to save space.
Anyway, if that is an unbeatable task (and as I remember from Play on Linux, running apps from an NTFS partition is not permitted, so I imagine it might be a wine issue as well), I think I found a way around it, when the game has created the .eve folder on my home directory, I close the launcher, delete that folder and make a link folder in its place from the folder at my shared partition (or any other directory I might like I suppose), it seems to run fine and have no issues with it (of course the link folder must also be named ".eve", but still, I doesn't have any extension (like the win shortcuts do) and thus generates no issues, so there's that.

That's all from me, again that's a lot for the support guys, I hope one day this might be promoted to official (as once the CodeWeavers version was) and Eve get once again Linux support :-)
Alajeira Ambramotte
Center for Advanced Studies
Gallente Federation
#426 - 2016-11-24 02:54:34 UTC  |  Edited by: Alajeira Ambramotte
Also, sorry I almost forgot..

An issue I came across was that Character creation was buggy (no models were loaded) and at first I ended up with an invisible character. But then I discovered that that was an issue on high performance settings, when I set them to low, things were fine, although a little slow on loading but other than that, they were smooth, same goes for captain quarters, so yuhuuu!!!!.

But then again, that might be caused by my graphic drivers (I am not using the official AMD drivers, I have sticked with the ones that preloaded by my system. Than is mainly because I found their performance a little better on some issues (but that might be a wrong impression I have) and they do not have any major drawbacks.
Eclipsys Rothschild
Hold The Pod
Zold The Pod
#427 - 2016-11-24 07:59:47 UTC
hello, I am thinking about switiching to Linux for some reasons, but I am complete noob regarding the technicalities. I was suggested to use Zorim OS distro, I want to know how complex is to get EVE to work on Linux. anyone experienced enough to give me advise?
Serg Sinist
Singularity Expedition Services
Singularity Syndicate
#428 - 2016-11-24 18:18:46 UTC  |  Edited by: Serg Sinist
Please, recompile to i686 can't run this launcher.

readelf -h evelauncher

ELF Header:
Magic: 7f 45 4c 46 02 01 01 03 00 00 00 00 00 00 00 00
Class: ELF64
Data: 2's complement, little endian
Version: 1 (current)
OS/ABI: UNIX - GNU
ABI Version: 0
Type: EXEC (Executable file)
Machine: Advanced Micro Devices X86-64
Version: 0x1
Entry point address: 0x419047
Start of program headers: 64 (bytes into file)
Start of section headers: 969592 (bytes into file)
Flags: 0x0
Size of this header: 64 (bytes)
Size of program headers: 56 (bytes)
Number of program headers: 9
Size of section headers: 64 (bytes)
Number of section headers: 33
Section header string table index: 30
Lucius Kalkoken
Ubiquitous Hurt
The WeHurt Initiative
#429 - 2016-11-24 20:04:47 UTC
Calyss Ellecon wrote:

Launcher logs:

--- snip---
kde-open5: /home/$USER/evelauncher/./libQt5Core.so.5: version `Qt_5.7' not found (required by /usr/lib/libKF5KIOWidgets.so.5)
--- snip---



That line tells me it looks for the file in your system dirs while the Eve launcher ships that file. Make sure you run the evelauncher.sh script and not the evelauncher binary directly.

There is no shame in not knowing, only in not wanting to know

Alajeira Ambramotte
Center for Advanced Studies
Gallente Federation
#430 - 2016-11-25 00:18:59 UTC  |  Edited by: Alajeira Ambramotte
You need this "libqt5core5a" package, it has the library your system looks for in it, details about the libs in it for i386 Debian are here https://packages.debian.org/sid/i386/libqt5core5a/filelist

I found similar details about Ubuntu as well, and I am sure you can easily find the package built for your architecture. I don't know what distro you use, but I am sure that similar packages can be found for any one of them, simply google the lib or package you want along with your distro's name (eg libqt5core5a Debian, or libQt5Core.so.5 Debian)
Alajeira Ambramotte
Center for Advanced Studies
Gallente Federation
#431 - 2016-11-25 00:29:11 UTC  |  Edited by: Alajeira Ambramotte
This launcher runs pretty easy, and if you find any trouble, odds are there is already a solution for it in this thread, simply download the launcher, extract the zip and run the " evelauncher.sh" file, if you encounter any issues, open a console (terminal) and run
WINEPREFIX=~/.eve/wineenv ~/.eve/wine/bin/wine ~/.eve/wineenv/drive_c/tq/bin/exefile.exe

if you kept the extracted folder at your home directory, otherwise change the '~' at above command to whatever directory your folder is in, then look or post here about what is written in that console.

Fly safe


Eclipsys Rothschild wrote:
hello, I am thinking about switiching to Linux for some reasons, but I am complete noob regarding the technicalities. I was suggested to use Zorim OS distro, I want to know how complex is to get EVE to work on Linux. anyone experienced enough to give me advise?
COMM4NDER
Legendary Umbrellas
#432 - 2016-11-26 09:07:55 UTC  |  Edited by: COMM4NDER
Is there a way for the launcher to use system libs instead of the ones that it uses;
Issue is that I got Archlinux so with plasma 5.8 i got latest QT etc. Clicking links inside game uses kde-open that expects QT 5.7 not 5.6 that is delivered with the launcher so that operation fails.

Also what is the stance on CCP if someone would pkg the launcher to distro's?

Would be awsome to just make a pkgbuild for arch and get it into arch repos or even AUR. Same goes for other distros like Ubuntu. This way it really would be one click install for everyone.

[url=https://github.com/CommanderAlchemy/.bin/blob/master/eve] EVE - Online Launcher [Linux] [/url] Installs, launches character prefixes (both SISI & Tranquility). Simplescreenrecorder shm inject

Rounon Dax
Terra Nanotech
Sev3rance
#433 - 2016-11-29 17:28:45 UTC
COMM4NDER wrote:
Is there a way for the launcher to use system libs instead of the ones that it uses;
Clicking links inside game uses kde-open that expects QT 5.7 not 5.6 that is delivered with the launcher so that operation fails.


Have a look here » https://forums.eveonline.com/default.aspx?g=posts&t=495016

Hopefully CCP Snorlax is including that patch in future versions ....
CCP Snorlax
C C P
C C P Alliance
#434 - 2016-11-30 18:57:30 UTC
Rounon Dax wrote:
COMM4NDER wrote:
Is there a way for the launcher to use system libs instead of the ones that it uses;
Clicking links inside game uses kde-open that expects QT 5.7 not 5.6 that is delivered with the launcher so that operation fails.


Have a look here » https://forums.eveonline.com/default.aspx?g=posts&t=495016

Hopefully CCP Snorlax is including that patch in future versions ....

I've now fixed this in the dev version of the launcher, will promote to release soon.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

Xrite
Stationspinners Incorporated
#435 - 2016-11-30 22:36:15 UTC
Thank you, its made of god and win.


Linux niflheim 4.8.11 #1 SMP Wed Nov 30 18:56:34 CET 2016 x86_64 Intel(R) Core(TM) i7-4770K CPU @ 3.50GHz GenuineIntel GNU/Linux
NVIDIA Proprietary 3.7.5.20 x86_64 // GTX 980 @ 1440p 144hz G-Sync

Slackware with stable kernel from kernel.org, multilib (installed everything today). Everything seems to work fine so far, had to copy .eve/RezFiles from a windows install to get it going. The LogLite thing was amazing.
Ima Wreckyou
The Conference Elite
Safety.
#436 - 2016-11-30 22:36:40 UTC
Ima Wreckyou wrote:
Is there a link which always points to the latest launcher? something like https://binaries.eveonline.com/evelauncher-latest.tar.gz (does not work)?

Hey CCP Snorlax, just in case you missed the question. Is there any chance we get a permanent symlink to the latest version so we can create a script which fetches the latest version in case of a new install? Would be really great to make a wrapper script we can distribute with regular distributions.
Rounon Dax
Terra Nanotech
Sev3rance
#437 - 2016-12-01 07:06:38 UTC
CCP Snorlax wrote:
Rounon Dax wrote:
COMM4NDER wrote:
Is there a way for the launcher to use system libs instead of the ones that it uses;
Clicking links inside game uses kde-open that expects QT 5.7 not 5.6 that is delivered with the launcher so that operation fails.


Have a look here » https://forums.eveonline.com/default.aspx?g=posts&t=495016

Hopefully CCP Snorlax is including that patch in future versions ....

I've now fixed this in the dev version of the launcher, will promote to release soon.


Thank you so much!
Nozdrev
NeoCorteX Industry
No Value
#438 - 2016-12-01 09:58:22 UTC
Thanks for EVE Launcher for Linux!
Will launcher update automatically at start or i shoud download it manually?

and second, after deprecate support of DX9, will EVE Launcher start EVE on Linux? Maybe with other technologies except dx11, such as Vulkan? cause as I know, wine can support only DX9 yet. :(
CCP Snorlax
C C P
C C P Alliance
#439 - 2016-12-01 10:31:25 UTC
Ima Wreckyou wrote:
Ima Wreckyou wrote:
Is there a link which always points to the latest launcher? something like https://binaries.eveonline.com/evelauncher-latest.tar.gz (does not work)?

Hey CCP Snorlax, just in case you missed the question. Is there any chance we get a permanent symlink to the latest version so we can create a script which fetches the latest version in case of a new install? Would be really great to make a wrapper script we can distribute with regular distributions.

http://binaries.eveonline.com/evelauncher_linux_release.json tells you what the current release is of the launcher - you could use that to determine the url for the latest release.

There are similar urls for beta and dev versions.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

CCP Snorlax
C C P
C C P Alliance
#440 - 2016-12-01 10:32:20 UTC
Nozdrev wrote:
Thanks for EVE Launcher for Linux!
Will launcher update automatically at start or i shoud download it manually?

and second, after deprecate support of DX9, will EVE Launcher start EVE on Linux? Maybe with other technologies except dx11, such as Vulkan? cause as I know, wine can support only DX9 yet. :(

The launcher always updates automatically.

Don't have an answer for the second question, sorry.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/